Page MenuHomePhabricator

Modify runtime to call correct functions for OMPT
ClosedPublic

Authored by Hahnfeld on Apr 9 2015, 6:23 AM.

Details

Reviewers
jlpeyton

Diff Detail

Event Timeline

Hahnfeld updated this revision to Diff 23483.Apr 9 2015, 6:23 AM
Hahnfeld retitled this revision from to Modify runtime to call correct functions for OMPT.
Hahnfeld updated this object.
Hahnfeld edited the test plan for this revision. (Show Details)
Hahnfeld added a subscriber: Unknown Object (MLST).
Hahnfeld updated this revision to Diff 24293.Apr 23 2015, 5:44 AM
omalyshe added inline comments.
runtime/src/kmp.h
3071–3075

It seems to be reasonable to put this additional argument under #if OMPT_SUPPORT macro as well.

runtime/src/kmp_gsupport.c
343

Same here - let's put the additional argument under #if OMPT_SUPPORT

Hahnfeld added inline comments.Apr 27 2015, 10:46 AM
runtime/src/kmp.h
3071–3075

No problem, will do

runtime/src/kmp_gsupport.c
343

While I'm ok with this change as well, this is a bit more tricky: __kmp_GOMP_fork_call is used inside macros (line #832 for example).
I can't think of a better solution than defining a new macro that always takes the same arguments. The substitution will then depend on OMPT_SUPPORT...
I think that doesn't fulfill any purpose. Other ideas?

While at it we could also change the new __kmp_GOMP_serialized_parallel (line #389)

omalyshe added inline comments.Apr 29 2015, 12:46 AM
runtime/src/kmp_gsupport.c
343

OK, let's then remain this function as is and change only __kmp_fork_call() above. Thank you.

Hahnfeld updated this revision to Diff 24599.Apr 29 2015, 12:58 AM

LGTM. Can be committed.

jlpeyton accepted this revision.May 6 2015, 8:23 AM
jlpeyton added a reviewer: jlpeyton.
jlpeyton edited edge metadata.

I accepted the revision, which now lets you close the revision. To do this you scroll to the bottom of the Phabricator page where it gives a list of Actions you can perform and choose Close Revision.

This revision is now accepted and ready to land.May 6 2015, 8:24 AM
Hahnfeld closed this revision.May 6 2015, 11:13 PM